﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MultiSelectionComboBoxSelectItem
{
    public partial class Form1 : Form
    {
        DataTable mStudentTable = new DataTable();
        string[] mStudentColumns = { "no", "name" };

        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < mStudentColumns.Length; i++)
            {
                DataColumn column = new DataColumn(mStudentColumns[i]);
                mStudentTable.Columns.Add(column);
            }

            DataSet ds = new DataSet();
            ds.Tables.Add(mStudentTable);

            mStudentTable.Rows.Add(new string[] { "1", "KKK" });
            mStudentTable.Rows.Add(new string[] { "2", "ttt" });
            mStudentTable.Rows.Add(new string[] { "2", "ssss" });

            DataView view = new DataView(mStudentTable);

            cmbStudentList.DataSource = null;
            cmbStudentList.DataSource = view;
            cmbStudentList.DisplayMember = "name";
            cmbStudentList.ValueMember = "no";

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataRow matchingRow = (cmbStudentList.DataSource as DataView).Table.AsEnumerable().FirstOrDefault(row => row["name"] == "KKK");
            if (matchingRow != null)
                cmbStudentList.SelectedItems.Add("KKK");
        }
    }
}
